Subject: New Reply Received - Help no delivery from saudi post
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jan 2021 09:14:34 +0000

Hi Juhi Goel,  The customer has responded to the ticket.  Help no delivery from saudi post  Ticket comment <div>Hi<br>I have now received the order, I went to their office in Najmah they said they didn’t call because they didn’t have my contacts. They called me to ask for the delivery code so they had my number. It’s  not a nice delivery experience I like centrepoint shopping experience but delivery with saudi post not been ok with me so far. <br>Thanks and sorry to bother.<br>Regards<br>Consolata<br><br>Sent from my iPad<br><br>&gt; </div>
<div class="freshdesk_quote"><blockquote class="freshdesk_quote"><div>On 27 Jan 2021, at 9:23 AM, Judy Gathika &lt;[email-masked]&gt; wrote:<br>&gt; <br>&gt; Hi<br>&gt; My order no6266421975 is not delivered yet.<br>&gt; Kindly assist with my delivery am yet to receive the shopping from saudi post yet I keep getting the message my order was delivered. They called yesterday and asked for my delivery code as they were to deliver in Aramco camp which I gave. But nothing was delivered yesterday. I have tried to call and text them but no answer and now they have blocked my number. I have complained before about saudi post delivery services they tampered with my delivery another time and one of the item I ordered was missingWhich I complained about. I love shopping in Centrepoint. Kindly assist or refund me my money I don’t know what else to do.<br>&gt; Many thanks<br>&gt; <br>&gt; <br>&gt; Sent from my iPad<br><br>
</div></blockquote></div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2025129